EDIT - bug #7059

use kindOfUnit for TypeDesisgnations instead of DerivationEvent type
11/06/2017 05:30 PM - Andreas Kohlbecker

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdm-vaadin Estimated time: 0:00 hour
Target version: Release 4.12

Severity: normal Found in Version:

Description

Currently the SpecimenTypeDesignationDTO & SpecimenTypeDesignationDTORow are using the DerivationEventType to define
the kind of the specimen, this is not correct kindOfUnit should be used instead.

Related issues:
Related to EDIT - feature request #6724: Popup Editor for SpecimenTypeDesigna... Closed

Associated revisions

Revision a69668dc - 11/07/2017 05:38 PM - Andreas Kohlbecker
fix #7059 using KindOfUnit instead of DerivationEventType

Revision 02ec8d6b - 11/14/2017 11:39 AM - Andreas Kohlbecker

ref #7059 ref #7046 using kindOfunit for TypeDesisgnations instead of DerivationEvent type and fixing save and LIE problems:
- intoducing EntityCache to allow re-using previously loaded entities

- CdmEntityCache implements EntityCache

- ToOneRelatedEntityReloader to replace entities loaded by the LazySelect

- SpecimenTypeDesignationWorkingsetEditorPresenter implements CachingPresenter so that EnityCache and
ToOneRelatedEntityReloader can interact

- completing init strategies in RegistrationWorkingSetService

- SpecimenTypeDesignationWorkingsetEditorPresenter.saveBean reuses entities stored in entityCache

- introducing SpecimenTypeDesignationWorkingSetService

Revision 64228761 - 06/26/2018 02:29 PM - Andreas Kohlbecker

ref #7059 removing code to delete obsolete terms

History

#1 - 11/06/2017 05:30 PM - Andreas Kohlbecker

- Description updated

#2 - 11/06/2017 05:51 PM - Andreas Kohlbecker

- Subject changed from use kindOfUnit foir TypeDesisgnations instead of DerivationEvent type to use only baseofRecord for TypeDesisgnations
instead of DerivationEvent type

- Description updated

#3 - 11/06/2017 05:57 PM - Andreas Kohlbecker

- Subject changed from use only baseofRecord for TypeDesisgnations instead of DerivationEvent type to use kindOfUnit for TypeDesisgnations
instead of DerivationEvent type

- Description updated

#4 - 11/06/2017 05:58 PM - Andreas Kohlbecker
- Related to feature request #6724: Popup Editor for SpecimenTypeDesignation Workingsets added

#5 - 11/07/2017 05:39 PM - Andreas Kohlbecker
- Status changed from New to Resolved

- % Done changed from 0 to 50
Applied in changeset cdm-vaadin|a69668dc4ea78568afafc0a82f96012188da46cc.

#6 - 11/13/2017 10:05 PM - Andreas Kohlbecker

- Target version changed from Release 4.11 to Release 4.12

#7 - 12/05/2017 03:35 PM - Andreas Kohlbecker

- Status changed from Resolved to Closed

#8 - 06/26/2018 02:29 PM - Andreas Kohlbecker
- % Done changed from 50 to 100
